
#pragma once

#include "glib.h"

extern void OnSkin_Exclusive_LoadBMP(CglCanvas *pcan,const char *pfn);

extern void OnSkin_Init(void);
extern void OnSkin_Free(void);

extern CglCanvas *pSkinTextBG,*pSkinOSKBG,*pSkinResultBG;
extern CglTGF *pSkinOSK_KeyB;
extern CglTGF *pSkinOSKHW_OK,*pSkinOSKHW_NG;

extern void OnSkin_FillBox25per(CglCanvas *pcan,u32 x,u32 y,u32 w,u32 h,u16 Color);
extern void OnSkin_FillBox50per(CglCanvas *pcan,u32 x,u32 y,u32 w,u32 h,u16 Color);
extern void OnSkin_FillBox75per(CglCanvas *pcan,u32 x,u32 y,u32 w,u32 h,u16 Color);
